# ApplicationFramework
TKPLCAF
MDocStd

# MDocStd_DocumentRetrievalDriver Class Reference

retrieval driver of a standard document

`#include <MDocStd_DocumentRetrievalDriver.hxx>`

Inheritance diagram for MDocStd_DocumentRetrievalDriver:

[legend]

## Public Member Functions

Standard_EXPORT | MDocStd_DocumentRetrievalDriver ()
Standard_EXPORT void | Paste (const Handle(PDocStd_Document)&PDOC, const Handle(TDocStd_Document)&TDOC, const Handle(MDF_RRelocationTable)&aReloc)
| deferred methods of RetrievalDriver from PCDM =============================================
Standard_EXPORT void | Make (const Handle(PCDM_Document)&aPCDM, const Handle(CDM_Document)&aCDM)
| virtual methods (may be redefined by specialized application) =============================================================
virtual Standard_EXPORT TCollection_ExtendedString | SchemaName () const
virtual Standard_EXPORT Handle_CDM_Document | CreateDocument ()
| returns an empty TDocStd_Document. may be redefined;
virtual Standard_EXPORT Handle_MDF_ARDriverTable | AttributeDrivers (const Handle(CDM_MessageDriver)&theMessageDriver)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Private Attributes

Handle_MDF_ARDriverTable | myDrivers

## Constructor & Destructor Documentation

Standard_EXPORT MDocStd_DocumentRetrievalDriver::MDocStd_DocumentRetrievalDriver | ( |  | ) |

## Member Function Documentation

virtual Standard_EXPORT Handle_MDF_ARDriverTable MDocStd_DocumentRetrievalDriver::AttributeDrivers | ( | const Handle(CDM_MessageDriver)& | theMessageDriver | ) | `[virtual]`

| Reimplemented in StdDrivers_DocumentRetrievalDriver, and StdLDrivers_DocumentRetrievalDriver.

virtual Standard_EXPORT Handle_CDM_Document MDocStd_DocumentRetrievalDriver::CreateDocument | ( |  | ) | `[virtual]`

| Implements PCDM_Reader.

Standard_EXPORT const MDocStd_DocumentRetrievalDriver::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from PCDM_RetrievalDriver. Reimplemented in StdDrivers_DocumentRetrievalDriver, and StdLDrivers_DocumentRetrievalDriver.

Standard_EXPORT void MDocStd_DocumentRetrievalDriver::Make | ( | const Handle(PCDM_Document)& | aPCDM,
|  | const Handle(CDM_Document)& | aCDM
| ) | `[virtual]`

| Implements PCDM_RetrievalDriver.

Standard_EXPORT void MDocStd_DocumentRetrievalDriver::Paste | ( | const Handle(PDocStd_Document)& | PDOC,
|  | const Handle(TDocStd_Document)& | TDOC,
|  | const Handle(MDF_RRelocationTable)& | aReloc
| ) |

virtual Standard_EXPORT TCollection_ExtendedString MDocStd_DocumentRetrievalDriver::SchemaName | ( |  | ) | const`[virtual]`

| Implements PCDM_RetrievalDriver.

## Field Documentation

Handle_MDF_ARDriverTable MDocStd_DocumentRetrievalDriver::myDrivers `[private]`

The documentation for this class was generated from the following file:

- MDocStd_DocumentRetrievalDriver.hxx